Bug 874452 - realm in kickstart prompts for a password
Summary: realm in kickstart prompts for a password
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: realmd
Version: 18
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Stef Walter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 874450
TreeView+ depends on / blocked
 
Reported: 2012-11-08 08:47 UTC by Stef Walter
Modified: 2012-11-23 08:01 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-11-23 08:01:43 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
FreeDesktop.org 56861 None None None 2012-11-08 08:52:13 UTC

Description Stef Walter 2012-11-08 08:47:20 UTC
Description of problem:

When using the realm from a kickstart file, if an automatic join cannot be performed, the realm command prompts for a password. This causes the installation to block.

We need a way to enforce an automatic join.

Version-Release number of selected component (if applicable):

realmd 0.11


Kickstart file:

#version=DEVEL
logging --level=info
# System authorization information
auth --enableshadow --passalgo=sha512
# Use network installation
url --url="http://stef.thewalter.lan/install/fedora-18"
repo --name=stef --baseurl=http://stef.thewalter.lan/install/fedora-18-stef
# System language
lang en.UTF-8
network --hostname=kickstart.thewalter.lan
# Run the Setup Agent on first boot
firstboot --enable
ignoredisk --only-use=vda
# Keyboard layouts
keyboard 'us (dvorak)'# Installation logging level
logging --level=info
# Root password
rootpw --plaintext test
# System timezone
timezone Europe/Berlin --nontp
# System bootloader configuration
bootloader --location=mbr --boot-drive=vda
autopart --type=plain
# Partition clearing information
clearpart --all --initlabel --drives=vda

%packages --nobase
@core
authconfig
e2fsprogs
grub2
system-config-firewall-base
realmd
samba-common
sssd
adcli
sssd-tools

%end

%post --log=/root/my-post-log
echo 'Hello, world!'
hostname kickstart.thewalter.lan
realm --install=/ --verbose join radi08.segad.lab.sjc.redhat.com 
set
%end

Comment 1 Fedora Update System 2012-11-12 14:24:19 UTC
realmd-0.12-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/realmd-0.12-1.fc18

Comment 2 Fedora Update System 2012-11-12 18:33:57 UTC
Package realmd-0.12-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing realmd-0.12-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-18042/realmd-0.12-1.fc18
then log in and leave karma (feedback).

Comment 3 Fedora Update System 2012-11-23 08:01:46 UTC
realmd-0.12-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.